<?php 
header("Content-Type:text/javascript");

//Setup URL to WordPress
$absolute_path = __FILE__;
$path_to_wp = explode( 'wp-content', $absolute_path );
$wp_url = $path_to_wp[0];

//Access WordPress
require_once( $wp_url.'/wp-load.php' );

//URL to TinyMCE plugin folder
$plugin_url = get_template_directory_uri().'/includes/theme_shortcodes/tinymce/';
?>
(function(){
	
	var icon_url = '<?php echo $plugin_url; ?>' + 'images/icon_shortcodes.png';

	tinymce.create(
		"tinymce.plugins.MyThemeShortcodes",
		{
			init: function(d,e) {
					
					d.addCommand( "myThemeOpenDialog",function(a,c){
						
						// Grab the selected text from the content editor.
						selectedText = '';
					
						if ( d.selection.getContent().length > 0 ) {
					
							selectedText = d.selection.getContent();
							
						} // End IF Statement
						
						myThemeSelectedShortcodeType = c.identifier;
						myThemeSelectedShortcodeTitle = c.title;
						
						jQuery.get(e+"/dialog.php",function(b){
							
							jQuery('#shortcode-options').addClass( 'shortcode-' + myThemeSelectedShortcodeType );
							
							// Skip the popup on certain shortcodes.
							
							switch ( myThemeSelectedShortcodeType ) {
								
								// alert
								
								case 'alert':
								
								var a = '[alert]'+selectedText+'[/alert]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
								
								// approved
								
								case 'approved':
								
								var a = '[approved]'+selectedText+'[/approved]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
								
								// attention
								
								case 'attention':
								
								var a = '[attention]'+selectedText+'[/attention]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
								
								// notice
								
								case 'notice':
								
								var a = '[notice]'+selectedText+'[/notice]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
								
								// tags
								
								case 'tags':
								
								var a = '[tags]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
								
								// dropcap
								
								case 'dropcap':
								
								var a = '[dropcap]'+selectedText+'[/dropcap]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
								
								// frame
								
								case 'frame':
								
								var a = '[frame]'+selectedText+'[/frame]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
								
								// frame_left
								
								case 'frameleft':
								
								var a = '[frame_left]'+selectedText+'[/frame_left]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
								
								// frame_right
								
								case 'frameright':
								
								var a = '[frame_right]'+selectedText+'[/frame_right]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
								
								// frame
								
								case 'hr':
								
								var a = '[hr]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
								
								// grid_1
								
								case 'grid_1':
								
								var a = '[grid_1]'+selectedText+'[/grid_1]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
								
								// grid_2
								
								case 'grid_2':
								
								var a = '[grid_2]'+selectedText+'[/grid_2]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // grid_3
								
								case 'grid_3':
								
								var a = '[grid_3]'+selectedText+'[/grid_3]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // grid_4
								
								case 'grid_4':
								
								var a = '[grid_4]'+selectedText+'[/grid_4]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // grid_5
								
								case 'grid_5':
								
								var a = '[grid_5]'+selectedText+'[/grid_5]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // grid_6
								
								case 'grid_6':
								
								var a = '[grid_6]'+selectedText+'[/grid_6]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // grid_7
								
								case 'grid_7':
								
								var a = '[grid_7]'+selectedText+'[/grid_7]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // grid_8
								
								case 'grid_8':
								
								var a = '[grid_8]'+selectedText+'[/grid_8]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // grid_9
								
								case 'grid_9':
								
								var a = '[grid_9]'+selectedText+'[/grid_9]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // grid_10
								
								case 'grid_10':
								
								var a = '[grid_10]'+selectedText+'[/grid_10]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // grid_11
								
								case 'grid_11':
								
								var a = '[grid_11]'+selectedText+'[/grid_11]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // grid_12
								
								case 'grid_12':
								
								var a = '[grid_12]'+selectedText+'[/grid_12]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // grid_13
								
								case 'grid_13':
								
								var a = '[grid_13]'+selectedText+'[/grid_13]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // grid_14
								
								case 'grid_14':
								
								var a = '[grid_14]'+selectedText+'[/grid_14]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // grid_15
								
								case 'grid_15':
								
								var a = '[grid_15]'+selectedText+'[/grid_15]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // grid_16
								
								case 'grid_16':
								
								var a = '[grid_16]'+selectedText+'[/grid_16]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // grid_17
								
								case 'grid_17':
								
								var a = '[grid_17]'+selectedText+'[/grid_17]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // grid_18
								
								case 'grid_18':
								
								var a = '[grid_18]'+selectedText+'[/grid_18]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // grid_19
								
								case 'grid_19':
								
								var a = '[grid_19]'+selectedText+'[/grid_19]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // grid_20
								
								case 'grid_20':
								
								var a = '[grid_20]'+selectedText+'[/grid_20]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // grid_21
								
								case 'grid_21':
								
								var a = '[grid_21]'+selectedText+'[/grid_21]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // grid_22
								
								case 'grid_22':
								
								var a = '[grid_22]'+selectedText+'[/grid_22]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // grid_23
								
								case 'grid_23':
								
								var a = '[grid_23]'+selectedText+'[/grid_23]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // grid_24
								
								case 'grid_24':
								
								var a = '[grid_24]'+selectedText+'[/grid_24]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // one_half (1/2)
								
								case 'one_half':
								
								var a = '[one_half]'+selectedText+'[/one_half]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // one_third (1/3)
								
								case 'one_third':
								
								var a = '[one_third]'+selectedText+'[/one_third]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // two_third (2/3)
								
								case 'two_third':
								
								var a = '[two_third]'+selectedText+'[/two_third]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // one_fourth (1/4)
								
								case 'one_fourth':
								
								var a = '[one_fourth]'+selectedText+'[/one_fourth]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // three_fourth (3/4)
								
								case 'three_fourth':
								
								var a = '[three_fourth]'+selectedText+'[/three_fourth]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // one_fifth (1/5)
								
								case 'one_fifth':
								
								var a = '[one_fifth]'+selectedText+'[/one_fifth]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // two_fifth (2/5)
								
								case 'two_fifth':
								
								var a = '[two_fifth]'+selectedText+'[/two_fifth]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // three_fifth (3/5)
								
								case 'three_fifth':
								
								var a = '[three_fifth]'+selectedText+'[/three_fifth]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // four_fifth (4/5)
								
								case 'four_fifth':
								
								var a = '[four_fifth]'+selectedText+'[/four_fifth]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // one_sixth (1/6)
								
								case 'one_sixth':
								
								var a = '[one_sixth]'+selectedText+'[/one_sixth]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // five_sixth (5/6)
								
								case 'five_sixth':
								
								var a = '[five_sixth]'+selectedText+'[/five_sixth]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                 // blockquote
								
								case 'blockquote':
								
								var a = '[blockquote]'+selectedText+'[/blockquote]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
                
                // clear
								
								case 'clear':
								
								var a = '[clear]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
								
								// tabs
								
								case 'tabs':
								
								var a = '[tabs tab1="Title #1" tab2="Title #2" tab3="Title #3"] [tab1] Tab 1 content... [/tab1] [tab2] Tab 2 content... [/tab2] [tab3] Tab 3 content... [/tab3] [/tabs]';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
                
                break;
                
                // toggle
								
								case 'toggle':
								
								var a = '[toggle title="Your title goes here"]Your content goes here.[/toggle] ';
								
								tinyMCE.activeEditor.execCommand("mceInsertContent", false, a);
								
								break;
															
								default:
								
								jQuery("#dialog").remove();
								jQuery("body").append(b);
								jQuery("#dialog").hide();
								var f=jQuery(window).width();
								b=jQuery(window).height();
								f=720<f?720:f;
								f-=80;
								b-=84;
							
							tb_show("Insert "+ myThemeSelectedShortcodeTitle +" Shortcode", "#TB_inline?width="+f+"&height="+b+"&inlineId=dialog");jQuery("#shortcode-options h3:first").text(""+c.title+" Shortcode Settings");
							
								break;
							
							} // End SWITCH Statement
						
						}
												 
					)
					 
					} 
				);

				},
					
				createControl:function(d,e){
				
						if(d=="shortcodes_button"){
						
							d=e.createMenuButton("shortcodes_button",{
								title:"Insert Shortcode",
								image:icon_url,
								icons:false
								});
								
								var a=this;d.onRenderMenu.add(function(c,b){
                	c=b.addMenu({title:"Basic"});
                  	a.addWithDialog(c,"Recent Posts","recentposts");
                    a.addWithDialog(c,"Recent Testimonials","recenttesti");
                    a.addWithDialog(c,"Popular Posts","popularposts");
										a.addWithDialog(c,"Recent Comments","recentcomments");
										a.addWithDialog(c,"Tags","tags");
                  c=b.addMenu({title:"Grid Columns"});
										a.addWithDialog(c,"grid_1","grid_1");
										a.addWithDialog(c,"grid_2","grid_2");
                    a.addWithDialog(c,"grid_3","grid_3");
                    a.addWithDialog(c,"grid_4","grid_4");
                    a.addWithDialog(c,"grid_5","grid_5");
                    a.addWithDialog(c,"grid_6","grid_6");
                    a.addWithDialog(c,"grid_7","grid_7");
                    a.addWithDialog(c,"grid_8","grid_8");
                    a.addWithDialog(c,"grid_9","grid_9");
                    a.addWithDialog(c,"grid_10","grid_10");
                    a.addWithDialog(c,"grid_11","grid_11");
                    a.addWithDialog(c,"grid_12","grid_12");
                    a.addWithDialog(c,"grid_13","grid_13");
                    a.addWithDialog(c,"grid_14","grid_14");
                    a.addWithDialog(c,"grid_15","grid_15");
                    a.addWithDialog(c,"grid_16","grid_16");
                    a.addWithDialog(c,"grid_17","grid_17");
                    a.addWithDialog(c,"grid_18","grid_18");
                    a.addWithDialog(c,"grid_19","grid_19");
                    a.addWithDialog(c,"grid_20","grid_20");
                    a.addWithDialog(c,"grid_21","grid_21");
                    a.addWithDialog(c,"grid_22","grid_22");
                    a.addWithDialog(c,"grid_23","grid_23");
                    a.addWithDialog(c,"grid_24","grid_24");
										a.addWithDialog(c,"Clear Row","clear");
                  c=b.addMenu({title:"Fluid Columns"});
										a.addWithDialog(c,"1/2","one_half");
										a.addWithDialog(c,"1/3","one_third");
                    a.addWithDialog(c,"2/3","two_third");
                    a.addWithDialog(c,"1/4","one_fourth");
                    a.addWithDialog(c,"3/4","three_fourth");
										a.addWithDialog(c,"1/5","one_fifth");
                    a.addWithDialog(c,"2/5","two_fifth");
                    a.addWithDialog(c,"3/5","three_fifth");
                    a.addWithDialog(c,"4/5","four_fifth");
                    a.addWithDialog(c,"1/6","one_sixth");
                    a.addWithDialog(c,"5/6","five_sixth");
                  c=b.addMenu({title:"HTML"});
										a.addWithDialog(c,"Button","button");
										a.addWithDialog(c,"Drop Cap","dropcap");
                    a.addWithDialog(c,"Blockquote","blockquote");
										a.addWithDialog(c,"Frame","frame");
										a.addWithDialog(c,"Frame Left","frameleft");
										a.addWithDialog(c,"Frame Right","frameright");
										a.addWithDialog(c,"Horizontal Rule","hr");
									c=b.addMenu({title:"Alert Boxes"});
										a.addWithDialog(c,"Alert","alert");
										a.addWithDialog(c,"Approved","approved");
										a.addWithDialog(c,"Attention","attention");
										a.addWithDialog(c,"Notice","notice");
									c=b.addMenu({title:"Audio & Video"});b.addSeparator();
										a.addWithDialog(c,"Audio","audio");
										a.addWithDialog(c,"Video","video");
									a.addWithDialog(b,"Tabs","tabs");
									a.addWithDialog(b,"Toggle","toggle");

							});
							
							return d
						
						} // End IF Statement
						
						return null
					},
		
				addImmediate:function(d,e,a){d.add({title:e,onclick:function(){tinyMCE.activeEditor.execCommand("mceInsertContent",false,a)}})},
				
				addWithDialog:function(d,e,a){d.add({title:e,onclick:function(){tinyMCE.activeEditor.execCommand("myThemeOpenDialog",false,{title:e,identifier:a})}})},
		
				getInfo:function(){ return{longname:"Shortcode Generator",author:"VisualShortcodes.com",authorurl:"http://visualshortcodes.com",infourl:"http://visualshortcodes.com/shortcode-ninja",version:"1.0"} }
			}
		);
		
		tinymce.PluginManager.add("MyThemeShortcodes",tinymce.plugins.MyThemeShortcodes)
	}
)();
