<?php get_header(); ?>
<div class="container_24 primary_content_wrap clearfix">
	<div id="main-holder" class="grid_24">
  
      <div id="content" class="prefix_1 grid_16 alpha <?php echo of_get_option('blog_sidebar_pos') ?>">
        <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
          <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
            <header>
              <h2><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
              <?php $post_meta = of_get_option('post_meta'); ?>
              <?php if ($post_meta=='true' || $post_meta=='') { ?>
                <div class="post-meta">
                  <div class="fleft"><span class="date"><time datetime="<?php the_time('Y-m-d\TH:i'); ?>"><?php the_time('l, d F Y H:i'); ?></time></span><span class="author">Posted by <?php the_author_posts_link() ?></span></div>
                </div><!--.post-meta-->
              <?php } ?>		
            </header>
            <?php $post_image_size = of_get_option('post_image_size'); ?>
            <?php if($post_image_size=='' || $post_image_size=='normal'){ ?>
              <?php if(has_post_thumbnail()) {
                echo '<a href="'; the_permalink(); echo '">';
                echo '<div class="featured-thumbnail"><div class="img-wrap">'; the_post_thumbnail(); echo '</div></div>';
                echo '</a>';
                }
              ?>
            <?php } else { ?>
              <?php if(has_post_thumbnail()) {
                echo '<a href="'; the_permalink(); echo '">';
                echo '<div class="featured-thumbnail large"><div class="img-wrap"><div class="f-thumb-wrap">'; the_post_thumbnail('post-thumbnail-xl'); echo '</div></div></div>';
                echo '</a>';
                }
              ?>
            <?php } ?>
            
            <div class="post-content">
              <?php $post_excerpt = of_get_option('post_excerpt'); ?>
              <?php if ($post_excerpt=='true' || $post_excerpt=='') { ?>
                <div class="excerpt"><?php $excerpt = get_the_excerpt(); echo my_string_limit_words($excerpt,25);?></div>
              <?php } ?>
            </div>
            <footer>
              <div class="fleft">
                <span class="comment-link"><?php comments_popup_link('No comments', '1 comment', '% comments', 'comments-link', 'Comments are closed'); ?></span>
              </div>
              <div class="fright">
                <a href="<?php the_permalink() ?>" class="link"><?php _e('Read more','fashion');?></a>
              </div>
            </footer>
          </article>
          
        <?php endwhile; else: ?>
          <div class="no-results">
            <p><strong>There has been an error.</strong></p>
            <p>We apologize for any inconvenience, please <a href="<?php bloginfo('url'); ?>/" title="<?php bloginfo('description'); ?>">return to the home page</a> or use the search form below.</p>
            <?php get_search_form(); ?> <!-- outputs the default Wordpress search form-->
          </div><!--noResults-->
        <?php endif; ?>
        
         <?php if(function_exists('wp_pagenavi')) : ?>
        <?php wp_pagenavi(); ?>
      <?php else : ?>
        <?php if ( $wp_query->max_num_pages > 1 ) : ?>
          <nav class="oldernewer">
            <div class="older">
              <?php next_posts_link('&laquo; Older Entries') ?>
            </div><!--.older-->
            <div class="newer">
              <?php previous_posts_link('Newer Entries &raquo;') ?>
            </div><!--.newer-->
          </nav><!--.oldernewer-->
        <?php endif; ?>
      <?php endif; ?>
      <!-- Page navigation -->
    
      </div><!--#content-->
    <?php get_sidebar(); ?>
	</div>
</div>
<?php get_footer(); ?>